Students
Provision students with a generated login email and license, map personal emails, suspend and reactivate. Guide: Students.
get
/studentspost/studentspost/students/bulkget/students/{id}patch/students/{id}post/students/{id}/suspendpost/students/{id}/reactivateget/students/{id}/guardiansget/students/{id}/examsget
/studentsList students
Scope students:read
Parameters
emailquery · stringstatusquery · stringstudent_idquery · stringgroup_idquery · stringpagequery · integerlimitquery · integer
curl -X GET "https://serverless.grout.app/v1/students" \
-H "Authorization: Bearer $GROUT_API_KEY"post
/studentsProvision a student (login email + license)
Scope students:write
Body
full_namestringstudent_idstringpersonal_emailstringlicense_daysinteger
curl -X POST "https://serverless.grout.app/v1/students" \
-H "Authorization: Bearer $GROUT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"full_name":"<full_name>","student_id":"<student_id>","personal_email":"<personal_email>","license_days":0}'curl -X POST "https://serverless.grout.app/v1/students/bulk" \
-H "Authorization: Bearer $GROUT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"students":[]}'get
/students/{id}Get a student (id or login email)
Scope students:read
Parameters
idpath · stringrequired
curl -X GET "https://serverless.grout.app/v1/students/$ID" \
-H "Authorization: Bearer $GROUT_API_KEY"patch
/students/{id}Update a student
Scope students:write
Parameters
idpath · stringrequired
Body
full_namestringstudent_idstring|nullstatusactive|suspendedpersonal_emailstring
curl -X PATCH "https://serverless.grout.app/v1/students/$ID" \
-H "Authorization: Bearer $GROUT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"full_name":"<full_name>","student_id":"string","status":"active","personal_email":"<personal_email>"}'curl -X POST "https://serverless.grout.app/v1/students/$ID/suspend" \
-H "Authorization: Bearer $GROUT_API_KEY"post
/students/{id}/reactivateReactivate a student
Scope students:write
Parameters
idpath · stringrequired
curl -X POST "https://serverless.grout.app/v1/students/$ID/reactivate" \
-H "Authorization: Bearer $GROUT_API_KEY"get
/students/{id}/guardiansGuardians linked to a student
Scope guardians:read
Parameters
idpath · stringrequired
curl -X GET "https://serverless.grout.app/v1/students/$ID/guardians" \
-H "Authorization: Bearer $GROUT_API_KEY"get
/students/{id}/examsExams assigned to a student with submission state
Scope exams:read
Parameters
idpath · stringrequired
curl -X GET "https://serverless.grout.app/v1/students/$ID/exams" \
-H "Authorization: Bearer $GROUT_API_KEY"